const withBundleAnalyzer = require("@next/bundle-analyzer")({
  enabled: process.env.ANALYZE === "true",
});

module.exports = withBundleAnalyzer({
  target: "server",
  images: {
    domains: [
      "api.sahkoinsinoorikilta.fi",
      "static.sahkoinsinoorikilta.fi",
      "api.dev.sahkoinsinoorikilta.fi",
    ],
  },
  future: {
    webpack5: true,
  },
});
